﻿<?xml version="1.0" encoding="utf-8"?>
<data Version="1">
  <DataType Name="Tipi dati" BaseType="" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
    <DataType Name="udtRicetta" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="66" OffsetType="NJ">
      <DataType Name="sNome" BaseType="STRING[50]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="wCod" BaseType="INT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Goal" BaseType="ARRAY[0..99] OF RecipeGoal" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="udtGoal" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="65" OffsetType="NJ">
      <DataType Name="sName" BaseType="STRING[25]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="X" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Y" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Th" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="GoalStruct" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="64" OffsetType="NJ">
      <DataType Name="Nome" BaseType="STRING[256]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="X" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Y" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Th" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="GoalSequence" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="63" OffsetType="NJ">
      <DataType Name="ID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Abilitazione" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Nome" BaseType="STRING[256]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="RecipeGoal" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="49" OffsetType="NJ">
      <DataType Name="sGoalName" BaseType="STRING[25]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Nome del goal" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="bEnable" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Goal abilitato" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="dXPos" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Posizione X" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="dYPos" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Posizione Y" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="dThPos" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Posizione °" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="wMiss" BaseType="ARRAY[0..9] OF INT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Missioni da eseguire" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="wVers" BaseType="ARRAY[0..9] OF INT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Versione della missione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="Stack_Data_Type" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="62" OffsetType="NJ">
      <DataType Name="Data" BaseType="WORD" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Register" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcStereo_Status" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="43" OffsetType="NJ">
      <DataType Name="TrgRdy" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Sistema di visione pronto a ricevere trigger" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="AcqID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale dell'acquisizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ResID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale dei risultati" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ErrCode" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Codice specifico di errore (da pensare)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobON" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Ricetta attuale caricata nel sistema di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="TaskState" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero del task attuale del sistema di visione.                                                           0=riposo. 1=acquisizione. 2=elaborazione. 3=invio dati. 4=grafica. 5=wait. 6=cambio ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Watchdog" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Counter che incrementa ogni 1 secondo finchè la comunicazione è aperta. Riparte da 0 quando raggiunge 2^16, usato per verificare che la connessione sia  attiva" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp7" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp8" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp9" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp10" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp11" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcStereo_Commands" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da PLC a Visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="44" OffsetType="NJ">
      <DataType Name="Trg" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Trigger al sistema di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="WordDisp" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment=" Word a disposizione per altri bit" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobCmd" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Valore della ricetta da cambiare" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="TrgID" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale del trigger" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ProgON" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero per specificare programma da eseguire di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ToolNumber" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero del controllo da effettuare" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Distinct" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Variante del controllo" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="VehiclePosition" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Posizione del veicolo attuale rispetto a punto zero" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp8" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp9" BaseType="uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcStereo_Results" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="42" OffsetType="NJ">
      <DataType Name="Measure1" BaseType="real" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del primo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Measure2" BaseType="real" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del secondo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Measure3" BaseType="real" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del terzo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp" BaseType="ARRAY[4..30] OF real" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcStereo_Buffer" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="41" OffsetType="NJ">
      <DataType Name="Disp" BaseType="ARRAY[1..41] OF uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcProfi_Commands" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da PLC a Visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="48" OffsetType="NJ">
      <DataType Name="Trg" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Trigger al sistema di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ResAck" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conferma ricezione risultati di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobReq" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Richiesta per cambiare ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobAck" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="PLC conferma di sapere che la visione ha cambiato ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ErrAck" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="PLC conferma di aver ricevuto errore dalla visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp6" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="PLC chiede di salvare la ricetta in corso, con o senza cambiare ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp7" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="In caso ci sia stato disallineamento degli ID, comanda il reset dei contatori" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp8" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp9" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp10" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp11" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp12" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp13" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp14" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp15" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp16" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="WordDisp" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment=" Word a disposizione per altri bit" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobCmd" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Valore della ricetta da cambiare" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="TrgID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale del trigger" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ProgON" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero per specificare programma da eseguire di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ToolNumber" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero del controllo da effettuare" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Distinct" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Variante del controllo" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="VehiclePosition" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Posizione del veicolo attuale rispetto a punto zero" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp8" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp9" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcProfi_Status" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="47" OffsetType="NJ">
      <DataType Name="TrgRdy" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Sistema di visione pronto a ricevere trigger" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ResRdy" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Elaborazione completata e risultati pronti" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="TrgAck" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conferma ricezione trigger ed acquisizione completata" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Err" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Errore generico" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobCmdAck" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conferma cambio ricetta OK" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobCmdErr" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Errore cambio ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp7" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp8" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp9" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp10" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp11" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp12" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp13" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp14" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp15" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="BitDisp16" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="AcqID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale dell'acquisizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ResID" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Incrementale dei risultati" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="ErrCode" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Codice specifico di errore (da pensare)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="JobON" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Ricetta attuale caricata nel sistema di visione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="TaskState" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Numero del task attuale del sistema di visione.                                                           0=riposo. 1=acquisizione. 2=elaborazione. 3=invio dati. 4=grafica. 5=wait. 6=cambio ricetta" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="WatchDog" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Counter che incrementa ogni 1 secondo finchè la comunicazione è aperta. Riparte da 0 quando raggiunge 2^16, usato per verificare che la connessione sia  attiva" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp7" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp8" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp9" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp10" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp11" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcProfi_Results" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="46" OffsetType="NJ">
      <DataType Name="Measure1" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del primo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Measure2" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del secondo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Measure3" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Esito del terzo controllo di misura" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Disp" BaseType="ARRAY[4..30] OF real" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Non usato" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcProfi_Buffer" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Da visione a PLC" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="45" OffsetType="NJ">
      <DataType Name="Disp" BaseType="ARRAY[1..41] OF uint" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="A disposizione" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcProfi" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Profilometro" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="61" OffsetType="NJ">
      <DataType Name="Cmd" BaseType="TlcProfi_Commands" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Stat" BaseType="TlcProfi_Status" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Res" BaseType="TlcProfi_Results" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Buf" BaseType="TlcProfi_Buffer" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="TlcStereo" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Stereocamera" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="60" OffsetType="NJ">
      <DataType Name="Cmd" BaseType="TlcStereo_Commands" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Stat" BaseType="TlcStereo_Status" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Res" BaseType="TlcStereo_Results" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Buf" BaseType="TlcStereo_Buffer" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="Conv_To_Bools" BaseType="UNION" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conversione da word ad array di bool" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
      <DataType Name="Word_In" BaseType="WORD" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Bool_Out" BaseType="ARRAY[0..15] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="Conv_To_Dword" BaseType="UNION" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conversione da dword a real" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
      <DataType Name="Word_In" BaseType="ARRAY[0..1] OF word" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="dWord_Out" BaseType="DWORD" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="Conv_to_Int" BaseType="UNION" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conversione da array di bool a word" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
      <DataType Name="Bool_In" BaseType="ARRAY[0..15] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Word_Out" BaseType="WORD" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="Conv_To_Words" BaseType="UNION" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Conversione da Dword a 2 word" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
      <DataType Name="Dword_In" BaseType="DWORD" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Word_Out" BaseType="ARRAY[0..1] OF Word" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="udtConnSocket" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="59" OffsetType="NJ">
      <DataType Name="SrcPort" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="SrcIPAddress" BaseType="STRING[16]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="DstPort" BaseType="UINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="Pwd" BaseType="STRING[10]" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="tOutCom" BaseType="TIME" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="tUpdate" BaseType="TIME" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="udtAlarmSocket" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="58" OffsetType="NJ">
      <DataType Name="AlarmOn" BaseType="bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="AlarmID" BaseType="INT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
  </DataType>
</data>